Update Unit Custom Data: Propertyware REST
PUT
https://api.propexo.com/v1/units/propertyware_rest/:unit_id/custom-dataThe custom data fields given in this payload must already exist on the unit. At this time, Propertyware REST does not support a way to create custom fields initially via the API.
| Method | Interface |
|---|---|
| PUT /v1/units/customfields | Units |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
unit_id stringrequired
The Propexo unique identifier for the unit
Request
This endpoint expects an object.
- Option 1
- object
- null
custom_data objectrequired
A mapping of the fields you want to update and the associated values
property name* object
anyOf
Response
Successful response
- Option 1
- object
- null
meta objectrequired
job_idstringrequired
result objectrequired
unit_idstringrequired
The Propexo unique identifier for the unit
custom_data objectrequired
A mapping of the fields you want to update and the associated values
property name* object
anyOf
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/units/propertyware_rest/:unit_id/custom-data
curl -X PUT https://api.propexo.com/v1/units/propertyware_rest/:unit_id/custom-data \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"custom_data": {}
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"unit_id": "string",
"custom_data": {}
}
}